#
# spec file for package pyxml (Version 0.8.4)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           pyxml
BuildRequires:  python-devel python-xml
Summary:        XML Tools in Python
Version:        0.8.4
Release:        17.9.1
# Source0:      http://switch.dl.sourceforge.net/sourceforge/pyxml/PyXML-%{version}.tar.gz
Source0:        http://ftp1.sourceforge.net/sourceforge/pyxml/PyXML-%{version}.tar.gz
Patch0:         pyxml-distutils.diff
Patch2:         bug-550664_expat-2.0.1-fix_bug_1990430.patch
Patch3:         xmlparse-2009-12-09.diff
License:        Any permissive
Group:          Development/Libraries/Python
%define pyver %(python -c 'import sys; print sys.version[:3]')
Requires:       python-xml python >= %pyver
Provides:       PyXML
AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Prefix:         %{_prefix}
Url:            http://www.python.org/sigs/xml-sig/

%description
The Python/XML distribution contains the basic tools required for
processing XML data using the Python programming language. The
distribution includes parsers and standard interfaces such as SAX and
DOM, along with various other useful modules.

The package currently contains:

* XML parsers: Pyexpat, xmlproc, and sgmlop

* SAX interface

* minidom, a DOM implementation

* 4DOM and 4XPath from Fourthought

* Schema implementations: TREX

* Various utility modules and functions

* Documentation and example programs

The code is being developed bazaar-style by contributors from the
Python XML Special Interest Group, so please send comments or questions
to <xml-sig@python.org>. Bug reports may be filed on SourceForge:

http://sourceforge.net/tracker/index.php?group_id=6473&atid=106473

For more information about Python and XML, see:
http://www.python.org/topics/xml/



Authors:
--------
    Fredrik Lundh
    Jack Jansen
    Lars Marius Garshol <larsga@ifi.uio.no>
    Paul Prescod
    Uche Ogbuji
    Mike Olson
    James Tauber
    Andrew M. Kuchling <akuchlin@cnri.reston.va.us>
    Stefane Fermigier <fermigie@math.jussieu.fr>
    Fred L. Drake <fdrake@cnri.reston.va.us>
    Geir Ove Grnmo
    Martin von Lwis

%prep
%setup -q -n PyXML-%{version}
%patch -P 0 -p 1
cd extensions/expat
%patch -p 0 -P 2
cd lib
%patch -p 0 -P 3
# patch -p 0 < %{P:2}
cd ../../..

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES \
  --with-xslt

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc ANNOUNCE CREDITS LICENCE README README.dom
%doc README.pyexpat README.sgmlop TODO
%doc demo
%doc doc
%doc test

%changelog
* Wed Dec  9 2009 ke@suse.de
- Apply patch to fix an expat DoS (CVE-2009-3560):
  http://expat.cvs.sourceforge.net/viewvc/expat/expat/lib/xmlparse.c?r1=1.164&r2=1.165
  (bnc#561561).
* Thu Oct 29 2009 ke@suse.de
- Apply patch to fix an expat DoS (CVE-2009-3720).  Reported by Ludwig
  Nussel (bnc#550666).
* Tue Feb 28 2006 jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec  1 2004 ke@suse.de
- Update to version 0.8.4; changes (from the announcement):
  * Expat 1.95.8 is provided; pyexpat is extended to expose more
    expat features:
  - CurrentLineNumber, CurrentColumnNumber, CurrentByteIndex
  - symbolic error numbers added in Expat 1.95.7 and 1.95.8
  * Add Dublin Core Metadata Initiative (DCMI) namespaces to the
    xml.ns module.
  * Fix memory leaks in pyexpat.
  * Fix line number reporting in SAX.
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Fri Aug 29 2003 mcihar@suse.cz
- require same python version as it was built with
* Fri Aug  1 2003 ke@suse.de
- Update to version 0.8.3, changes compared to 0.8.2 (from the
  announcement):
  * Various bug fixes (e.g., memory leak in Expat bindings: content
    model information provided by Expat was not freed as required).
  * New convenience classes in the xml.ns module:
    ClosedNamespace, OpenNamespace.
  * The symbol "_" is no longer inserted into the built-in
    namespace via the gettext module; I18N support is no longer
    invasive.
  * expatreader now implements feature_namespace_prefixes.
  * drv_xmlproc now supports EntityResolvers that return system IDs.
* Tue Jun 17 2003 ke@suse.de
- Apply pyxml-distutils.diff provided by Michal Cihar for building a
  clean %%files list.
* Mon Jun 16 2003 ke@suse.de
- Also list missing directories.
* Mon Jan 27 2003 ke@suse.de
- Update to version 0.8.2, changes compared to 0.8.1 (from the
  announcement):
  * Update expat 1.95.6.
  * Support more DOM L3 features in minidom:
    isWhitespaceInElementContent, schemaType, isId,
    DOMImplementationSource.
  * Various bug fixes, including
  - 609641: minidom nodes not pickleable
  - 618156: Use character references in XMLGenerator if necessary
  - 622286: marshal.wddx: 'recordset' element typo
  - 624420: Can't create 2nd Sax2.Reader
  - 665486: Implement SAX skippedEntity for Expat
  - tracing works now with pyexpat
  - fix registry key for MSIE XBEL support
  - correct ill-formedness of xmlproc.dtd2schema
  - avoid adding comments and PIs in the internal subset as Document
    children when building minidom trees
  - properly close files in xml.dom.ext.reader.
  * Add features to xml.parsers.expat:
  - new method "UseForeignDTD"
  - new attribute "features"
  * Update to 25 July 2002 LS spec for xml.dom.xmlbuilder.  Use
    expatbuilder if no parser is given to xml.dom.minidom.parse[String].
  * Fix many obscure DOM bugs.
  * Define and document the implementation-defined behaviors of
    cloneNode() for xml.dom.minidom.
  * Use urllib2 instead of urllib throughout.
* Thu Aug  1 2002 ke@suse.de
- Update to version 0.8:
  * Update expat to 1.95.4.
  * Enhance pyexpat: report skipped entities, combine subsequent
    character data events into a single callback invocation (set the
    parser's buffer_text attribute to true to enable this feature), report
    namespace prefixes (set the parser's namespace_prefixes attribute to
    true to enable this feature).
  * Bug fixes in sgmlop.
  * Add various DOM Level 3 symbolic constants.
  * Add various DOM L1, L2 and L3 features to minidom: userdata,
    isSupported, getInterface, wholeText, replaceWholeText, Entity,
    Notation.
  * minidom's .toxml now allows the caller to specify an encoding.
  * The new module xml.dom.xmlbuilder implements the load part of the
    DOM L3 Load/Store spec.
  * The new module xml.dom.expatbuilder allows to create minidom trees
    more efficiently, by using expat directly (rather than using SAX).
    Normally used via xml.dom.xmlbuilder.
  * Bug fixes in c14n namespace processing.
  * Minor bug fixes in xmlproc.
  * xml.sax.expatreader now invokes resolveEntity properly.
  * The sgmlop SAX driver now invokes skippedEntity.
  * Update the xml-howto.
  * Bug fixes in the MSIE, ADR, and NS XBEL parsers.
* Wed May  8 2002 ke@suse.de
- Update to version 0.7.1:
  * sgmlop offers XMLUnicodeParser.
  * Improve XBEL support for parsing Opera, MSIE, and Netscape
    bookmarks.
  * Document c14n in the reference manual.
  * Dropp support for older expat versions from pyexpat.
  * pyexpat can intern strings found during parsing in a dictionary.
  * xml.ns now provides XLINK and RNG namespaces.
  * 4DOM supports now arbitrary Unicode element and attribute names.
  * pulldom supports the iterator protocol.
  * xml.sax.expatreader has a feature to intern strings, and a
    property to access the interning dictionary.
  * Construction of Unicode regular expressions in
    xml.utils.characters happens lazily through accessor functions.
  * Fix various bugs (4DOM, minidom, c14n, marshal.generic, xmlproc,
    sax.expatreader, sax.writer, xml.utils.iso8601).
* Thu Jan 10 2002 ke@suse.de
- Update to version 0.7; extract from the announcement:
  * Integrate Expat 1.95.2.
  * Implementation of TREX (in the xml.schema.trex module).
  * Update xmlproc to produce Unicode strings in Python 2.x using
    the Python codecs to convert the input.
  * Integrate 4XPath and 4XSLT from the 4Suite package as
    xml.xpath and xml.xslt. Both packages are a few releases
    behind 4Suite. In case of conflicts with a 4Suite installation,
    passing --without-{xpath,xslt} to setup.py is recommended.
  * Update XBEL to revision 1.1.
  * Rewrite the C14N code in xml.dom.ext.c14n.
  * Add Swedish and French messages to xmlproc.
  * New SAX2 drivers have for htmllib, sgmllib, sgmlop, and
    sgmlop_html.
* Mon Sep 24 2001 ke@suse.de
- pyxml.spec: Require 'python-xml' (also add it do #neeededforbuild).
* Mon Aug  6 2001 ke@suse.de
- Update to version 0.6.6.
* Wed Mar 28 2001 ke@suse.de
- Update to version 0.6.5.
* Mon Jan 22 2001 ke@suse.de
- Update to version 0.6.3.
* Mon Jan 22 2001 ke@suse.de
- pyxml.spec: Require 'python'.
* Wed Nov 22 2000 ke@suse.de
- Update to version 0.6.2.
- Change the spec file to make use of Python 2.0 features.
* Sun Oct 29 2000 kukuk@suse.de
- fix need for build
* Tue Jun  6 2000 ke@suse.de
- update to version 0.5.5.
* Fri Jun  2 2000 ke@suse.de
- update to version 0.5.4.
- spec file: cleanup.
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep  9 1999 bs@suse.de
- fixed call of Check at the end of %%install section
* Tue Apr 27 1999 ke@suse.de
- initial package: version 0.5.1.
